#include "cGame.h"
#include "cHole.h"
#include "MediaVars.h"

cHole::cHole(cGame *g, double xx, double yy)
{
	game = g;
	x = xx;
	y = yy;
	depth = 0;
	collide.SetPosition(xx,yy);
	collide.SetLeft(30);
	collide.SetTop(30);
	collide.SetRight(34);
	collide.SetBottom(34);
	objectType = HOLE;
	depth = -1000000;
	destroyed = false;
	if (game->GetCurrentLevel() == 1)
		texture = sprHole;
	else
		texture = sprUnderHole;
}

void cHole::Update()
{
}

void cHole::Draw()
{
	texture->SetPosition((float)(int)x,(float)(int)y);
	game->GetWindow()->Draw(*texture);
}